%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           jempbox
Version:        1.0.0
Release:        3%{?dist}
Summary:        Java library for working with XMP metadata

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://pdfbox.apache.org/
Source0:        http://www.apache.org/dist/pdfbox/%{name}/source/%{name}-%{version}-src.jar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  maven2
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-surefire-provider-junit

%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

Requires:       jpackage-utils
Requires:       java

%description
Apache JempBox is an open source Java library for working with XMP metadata.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Development Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
#Fix line endings
find -name '*.txt' -exec sed -i 's/\r//' '{}' +


%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
install javadoc:javadoc


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms
cp -p pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%add_to_maven_depmap org.apache.pdfbox %{name} %{version} JPP %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_maven_depmap
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif

%postun
%update_maven_depmap
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif


%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 19 2010 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-2
- Fix maven pom groupId

* Fri Jan 8 2010 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-1
- Update to 1.0.0

* Thu Oct 15 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-6
- Add javadoc subpackage

* Thu Oct 15 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-5
- Reverse symbolic links

* Thu Oct 15 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-4
- Fix jar naming and add symbolic links

* Wed Oct 14 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-3
- Add comment for patch
- Fix line endings
- Add GCJ support

* Mon Oct 12 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-2
- Fix BuildRequires

* Mon Oct 5 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-1
- Initial Fedora Package
